#!/usr/bin/python3
# -*- coding: utf-8 -*-

# Required parameters:
# @raycast.schemaVersion 1
# @raycast.title Generate SSID name
# @raycast.mode silent
# @raycast.packageName Developer Utilities

# Optional parameters:
# @raycast.icon 💻

import subprocess
from xkcdpass import xkcd_password as xp
wordfile = xp.locate_wordfile()

wordlist5 = xp.generate_wordlist( wordfile = wordfile, min_length = 5, max_length = 5 )
ssid = xp.generate_xkcdpassword( wordlist5, numwords = 3, delimiter = ' ', case = 'capitalize' )
subprocess.run( [ "/usr/bin/pbcopy" ], input = ssid.encode( "utf-8" ) )
print( ssid )
